


                               Documentation for

                                    TREASURE

                                  Version 1.35

                   Copyright 1990-1992  by  Sydney M. Willett

                                  May 17, 1992



                                 Used with the

                  Advanced Dungeon & Dragons (R) - 2nd Edition

                                 Gaming System




                               TABLE OF CONTENTS


1.  General.
2.  Distribution policy.
3.  Description.
4.  Operation.
    a.  Executing TREASURE.
    b.  Main Menu.
    c.  Treasure List.
    d.  Art Gallery.
    e.  Gems Galore.
    f.  Ye Ole Magik Shoppe.
    g.  Treasure Room.
    h.  Configure Program.
    i.  Program Information.
    j.  Random Dice Rolls.
    k.  Specified Dice Roll.
    l.  Quitting TREASURE.
5.  Adieu.



1.  GENERAL.

    a.  TREASURE is a treasure generation program for use with the Advanced
    Dungeon & Dragons (R) 2nd Edition gaming system.  It automates the random
    generation of treasure for Dungeon Masters, greatly increasing the speed,
    and subsequently the enjoyability of DM'ing.

    b.  TREASURE runs on IBM compatible XT and AT computers.  The program was
    tested using monochrome, CGA, VGA, and SVGA monitors on these systems.  The
    program requires approximately 256 KB of memory to run.  It will run from
    either a hard disk or floppy diskettes.  This is not to say there isn't a
    computer out there on which TREASURE won't run correctly.  To the contrary,
    I'm certain there is at least one computer that will burp while running
    TREASURE.

    c.  Advanced Dungeon & Dragon is a trademark of TSR Games.  The information
    from their books Dungeon Master's Guide 2nd Edition, Player's Handbook 2nd
    Edition, Tome of Magic 2nd Edition, The Complete Wizard's Handbook 2nd
    Edition, and Manual of the Planes were used to write this program.

    d.  Turbo C version 2.0 is a trademark of Borland International.  This
    compiler was used to create TREASURE.


2.  DISTRIBUTION POLICY.

    a.  TREASURE is hereby freely given to the Public Domain.  A SMALL and
    RESONABLE fee may be charged by user groups for non-profit reimburment of
    disks, copying, and distribution.

    b.  TREASURE is released "as is" with no implied warranty or guarantees.
    The author assumes no responsibility for any claims of damage incurred with
    the use of this program.  Using the program implies consent with these
    conditions.

    c.  TREASURE is to be distributed with the executable file (TREASURE.EXE)
    and this manual (TREASURE.MAN).


3.  DESCRIPTION.

    a.  TREASURE generates treasure, magic and mundane, using the magic and
    treasure tables contained in Dungeon Master's Guide 2nd Edition and Tome of
    Magic 2nd Edition.  Each magical item description was used to determine the
    item's attributes (such as the size and capacity of a Bag of Holding.)
    TREASURE randomly selects Wizard and Priest spells for scrolls and other
    magical items using the spells contained in Player's Handbook 2nd Edition,
    Tome of Magic 2nd Edition, and The Complete Wizard's Handbook 2nd Edition.
    Manual of the Planes was used for those magical items which accessed planes
    (such as a Cubic Gate.)  TREASURE is configurable to use only spells and
    items contained in Player's Handbook 2nd Edition and Dungeon Master's Guide
    2nd Edition, or also include spells and magical items contained in Tome of
    Magic 2nd Edition and The Complete Wizard's Handbook 2nd Edition.  Gems and
    Art Objects can also be automatically generated.

    b.  TREASURE displays the Treasure List which can be scrolled, printed,
    or saved to a file.  If the treasure generated is unsatifactory, the
    treasure can be rerolled.

    c.  TREASURE also provides two random dice generators.  The first rolls a
    complete set of dice from 1d4 to 10d100 and displays the results.  The
    second generator allows a specific number of dice with variable sides and
    a die modifier to be entered.

    d.  All of these features are controlled via a menued interface.  TREASURE
    was designed and written to be extremely easy to use without documentation.
    There is only one executable file with the data for the program built in.
    As such, the data cannot be modified by the user.  However, I think this
    lack of flexibility is worth the trade-off for the speed, ease of use, and
    small number of files.  Besides, hard-coding the data made the program
    easier to write and considerably sped up program execution.

    e.  TREASURE faithfully uses the tables and descriptions from TSR's books
    to generate art objects, gems, magical items, and treasure.  The major
    exception is those tables where a roll of 20 on a d20 results in "DM's
    choice."  Since this program was written to avoid having the DM choose, the
    table was shortened by eliminating that result.  A d19 is rolled versus a
    d20 - possible with "electronic" dice.  Rolling a d19 instead of a d20
    maintains the same perentage chance that existed in the original table.


4.  OPERATION.

    a.  EXECUTING TREASURE.

        (1)  To execute, type  TREASURE  at the DOS prompt and press Enter.

        (2)  An opening screen containing the program name, credits, and
        copyrights will be displayed.  Press any key to go to the main menu.
        Typing TREASURE with a '-' after the filename at the DOS prompt will
        bypass the opening screen.

    b.  MAIN MENU.

        (1)  The Main Menu accesses all of the other menus and functions.  The
        choices can be started by pressing the highlighted letter (such as 'A'
        for Art Gallery.)  Figure 1 shows the Main Menu.

͵TREASUREGENERATORͻ
                                                                              
                                                                              
                                                                              
                              Art Gallery                                     
                                                                              
                              Gems Galore                                     
                                                                              
                              Ye Ole Magik Shoppe                             
                                                                              
                              Treasure Room                                   
                                                                              
                                                                              
                              Configure Program                               
                                                                              
                              Program Information                             
                                                                              
                              Random Dice Rolls                               
                                                                              
                              Specified Dice Roll                             
                                                                              
                              ESC to Quit Program                             
                                                                              
                                                                              
ͼ

                                   Figure 1.

    c.  TREASURE LIST.

        (1)  After any operation resulting in treasure generation or multiple
        random dice rolls, a Treasure List will be displayed.  On color
        monitors it has a black background, grey characters, and a blue
        command bar at the bottom (see Figure 2.)  The available commands are:

             (a)  ESC to menu - Clears the screen and returns you to the menu
             that created the Treasure List.

             (b)  Print - Prints the entire Treasure List to the printer
             connected to the parallel port selected in the program
             configuration (LPT1 is default.)  If a printer is not connected or
             is not ready, an error message will display for two seconds, then
             disappear, returning you to the Treasure List.  Pressing Escape
             at any time during printing will abort printing.

             (c)  Roll again - Rerolls the treasure or dice rolls that created
             the Treasure List without you having to return to the menu.  This
             is useful if the generated treasure is too much, too little, or
             too powerful.

             (d)  Save to file - Saves the Treasure List to the file you
             specify in a pop-up window.  If the file already exists, you'll be
             given the choice to either append the Treasure List to the file,
             or overwrite the data already existing in the file.  If the file
             cannot be created or is write protected, an error message will
             display for two seconds, then disappear, returning you to the
             Treasure List.  Pressing Escape will abort the file save
             operation.  The last filename you entered is remembered so you
             don't have to retype it - useful if you are continuously appending
             treasure to the same file.

             (e)  PgDn - Pressing the Page Down key displays the next 24 lines
             of treasure, or up to the end of the Treasure List if the
             remaining treasure is less than 24 lines.

             (f)  PgUp - Pressing the Page Up key displays the previous 24
             lines of treasure, or up to the beginning of the Treasure List if
             the preceeding treasure is less than 24 lines.

             (g)  Down Arrow - Pressing the Down Arrow key scrolls the display
             down one line, provided there is at least one line of treasure
             yet undisplayed.

             (h)  Up Arrow - Pressing the Up Arrow key scrolls the display up
             one line, provided there is at least one line of treasure yet
             undisplayed.

             (i)  Home - Pressing the Home key displays the top of the Treasure
             List.

             (j)  End - Pressing the End key displays the end of the Treasure
             List.

Ŀ
Wand of Negation (90 charges)                                                 
EXP = 3500                                                                    
                                                                              
Wand of Size Alteration (87 charges)                                          
EXP = 3000                                                                    
                                                                              
Wand of Illusion (86 charges)                                                 
EXP = 3000                                                                    
                                                                              
Wand of Earth and Stone (88 charges)                                          
EXP = 1000                                                                    
                                                                              
Wand of Corridors# (86 charges)                                               
EXP = 4000                                                                    
                                                                              
                                                                              
Total Experience Points is 14500                                              
                                                                              
                                                                              
                                                                              
                                                                              
                                                                              
                                                                              
                                                                              
ESCtomenuPrintRollagainSavetofilePgDnPgUpHomeEnd 


                                   Figure 2.

    d.  ART GALLERY.

        (1)  The Art Gallery randomly generates a specified number of Art
        Objects (Figure 3.)  You supply the number of art objects you want to
        be generated and press Enter.  The resulting art objects will
        automatically be displayed in a Treasure List.  Figure 4 is an example
        of art objects generated by TREASURE.

        (2)  Pressing Escape will return you to the Main Menu at any time while
        you are in the Art Gallery menu.  This convention applies to the other
        menus as well - pressing Escape will return you to the Main Menu.

͵ARTGALLERYͻ
                                                                              
                                                                              
                                                                              
                             Number of Art Objects?  5                        
                                                                              
                                                                              
                               ESC to Main Menu                               
                                                                              
                                                                              
                                                                              
                                                                              
                                                                              
                                                                              
                                                                              
                                                                              
                                                                              
                                                                              
                                                                              
                                                                              
                                                                              
                                                                              
                                                                              
                                                                              
ͼ

                                   Figure 3.

5 ART OBJECTS(S)
 1 art object(s) @ 40 g.p. each
 1 art object(s) @ 300 g.p. each
 1 art object(s) @ 400 g.p. each
 1 art object(s) @ 600 g.p. each
 1 art object(s) @ 800 g.p. each

Total Value is 2140 g.p.

                                   Figure 4.

    e.  GEMS GALORE.

        (1)  Gems Galore randomly generates a specified number of gems with
        a specified or random base value (Figure 5.)  You supply the number
        of gems and the base value (0 for a random base value.)  The resulting
        gems will automatically be displayed in a Treasure List.  Figure 6 is
        an example of gems generated by TREASURE.

͵GEMSGALOREͻ
                                                                              
                                                                              
                                                                              
          Number of Gems? 100                                                 
                                                                              
                                                                              
          Base Value of Gems (0 for random base value)? 100                   
                                                                              
                                                                              
                               ESC to Main Menu                               
                                                                              
                                                                              
                                                                              
                                                                              
                                                                              
                                                                              
                                                                              
                                                                              
                                                                              
                                                                              
                                                                              
                                                                              
                                                                              
ͼ

                                   Figure 5.

100 GEM(S)
 1 Ornamental @ 10 g.p. each
 4 Semi-precious @ 50 g.p. each
 1 Semi-precious @ 70 g.p. each
 90 Fancy @ 100 g.p. each
 1 Fancy @ 150 g.p. each
 1 Fancy @ 160 g.p. each
 2 Fancy @ 200 g.p. each

Total Value is 9990 g.p.

                                   Figure 6.

    f.  YE OLE MAGIK SHOPPE.

        (1)  Ye Ole Magik Shoppe allows you to generate any number of specific
        or groups of magical items (Figure 7.)  The categories of magical items
        are aligned with the magical item tables in Dungeon Master's Guide 2nd
        Edition (and Tome of Magic 2nd Edition, if selected.)  Several other
        categories that are often encountered in AD&D modules are also
        selectable: Any Magical Item; Any Magical Item Except Weapon; Armor or
        Weapon; and Rod, Staff, or Wand.  You supply the category and number of
        magical items you want.  A Treasure List will be generated showing the
        resulting items.

        (2)  The description for each magical item was used to further refine
        the generated data (such as the size and capacity of a Bag of Holding.)

        (3)  The chance for poisoned potions was accounted for.  To further add
        spice to the game, the type and strength of poison is also generated
        using what I thought was a good ratio based on the availability and
        cost of poisons.

        (4)  Wizard and Priest spells are automatically selected for scrolls
        and other magical items that uses them.  Spells in all capital letters
        are the primary spell while spells in lower-case letters are reverse
        spells.

        (5)  Charges for rings, rods, staves, and wands are automatically
        generated.  Extrapolation was needed for a few items when it wasn't
        clear if the item had charges or not.  But as in any campaign, the DM
        has the final say, and he can modify the resulting treasure until he is
        satisfied.

        (6)  The sizes of armor and shields are automatically generated.  Armor
        are sized as Gnome/Halfling, Drawf, Elf, or Man.  Shields are sized as
        Small, Medium, Large, Buckler, or Spiked-Buckler.

        (7)  Specific types of weapons are automatically generated (such as
        short sword, bardiche pole arm, long bow, or hand axe.)  Weapon
        intelligence is also checked.  If the weapon is intelligent, then the
        attributes for that weapon is also generated.

        (8)  The characters '#' and '@' have special meanings.  A '#' displayed
        next to a spell or magical item indicates that spell or item is
        contained in Tome of Magic 2nd Edition.  A '@' displayed next to a
        spell indicates that spell is contained in The Complete Wizard's
        Handbook 2nd Edition.  As stated previously, the use of these books can
        be enabled or disabled via the Configure Program menu.

        (9)  Figure 8 is a sample Treasure List generated for wands.
        Individual and total experience points is shown along with individual
        gold piece values for those item that have gold piece values.

͵YEOLEMAGIKSHOPPEͻ
                                                                              
       A ... Any Magic Item         B ... Any Magic Item Except Weapon        
       C ... Armor or Weapon        D ... Rod, Staff, or Wand                 
                                                                              
                E ... Potions and Oils                                        
                F ... Scrolls                                                 
                G ... Rings                                                   
                H ... Rods                                                    
                I ... Staves                                                  
                J ... Wands                                                   
                K ... Miscellaneous Magic: Books and Tomes                    
                L ... Miscellaneous Magic: Jewels and Jewelry                 
                M ... Miscellaneous Magic: Cloaks and Robes                   
                N ... Miscellaneous Magic: Boots and Gloves                   
                O ... Miscellaneous Magic: Girdles and Helms                  
                P ... Miscellaneous Magic: Bags and Bottles                   
                Q ... Miscellaneous Magic: Dusts and Stones                   
                R ... Miscellaneous Magic: Household Items and Tools          
                S ... Miscellaneous Magic: Musical Intruments                 
                T ... Miscellaneous Magic: The Weird Stuff                    
                U ... Armor and Shields                                       
                V ... Weapons                                                 
                               ESC to Main Menu                               
ͼ

                                   Figure 7.

Wand of Negation (90 charges)
EXP = 3500

Wand of Size Alteration (87 charges)
EXP = 3000

Wand of Illusion (86 charges)
EXP = 3000

Wand of Earth and Stone (88 charges)
EXP = 1000

Wand of Corridors# (86 charges)
EXP = 4000

Total Experience Points is 14500

                                   Figure 8.

    g.  TREASURE ROOM.

        (1)  Treasure Room automatically generates a specified number of
        treasure types (Figure 9.)  The resulting Treasure List shows all
        money, art objects, gems, and magical items generated along with
        individual and total experience points, and individual and total gold
        piece values (Figure 10.)

        (2)  There are still some instances where electrum pieces are used in
        2nd Edition.  The treasure tables were extrapolated to include electrum
        pieces.

        (3)  Magical items are generated using the same data as Ye Ole Magik
        Shoppe.

͵TREASUREROOMͻ
                                                                              
                                                                              
                                                                              
                             Treasure Type (A-Z)? F                           
                                                                              
                                                                              
                             Number of Treasures? 1                           
                                                                              
                                                                              
                                ESC to Cancel                                 
                                                                              
                                                                              
                                                                              
                                                                              
                                                                              
                                                                              
                                                                              
                                                                              
                                                                              
                                                                              
                                                                              
                                                                              
                                                                              
ͼ

                                   Figure 9.

1000 GOLD PIECE(S)
10 GEM(S)
 1 Fancy @ 100 g.p. each
 9 Precious @ 500 g.p. each
 [Subtotal value of gems is 4600 g.p.]

Chain Mail +1, Elf-sized
EXP = 500

SCROLL, Wizard Spell(s)
 7th Level - CONTROL UNDEAD
 3rd Level - WIND WALL
 4th Level - MINOR GLOBE INVUL.
 4th Level - turn boulder to pebble#
 3rd Level - BLINK
 6th Level - transmute dust to water
EXP = 2700

SCROLL, Wizard Spell(s)
 1st Level - SHIELD
EXP = 100

Splint Mail +2, Man-sized
EXP = 1000

SCROLL, Prot - Magic
EXP = 1500

Total Experience Points is 5800
Total Value is 5600 g.p.

                                   Figure 10.

    h.  CONFIGURE PROGRAM.

        (1)  The Configure Program menu allows you to specify which parallel
        port your printer is connected to (LPT1 or LPT2 - LPT1 is default),
        whether or not to include Tome of Magic 2nd Edition magical items (Y is
        default), and whether or not to include The Complete Wizard's Handbook
        2nd Edition and Tome of Magic 2nd Edition spells (Y is default).
        Pressing Escape will abort configuring the program and return you to
        the main menu.  Figure 11 shows the Configure Program menu.

        (2)  TREASURE will operate fine without configuring it.  The program
        will just use the default values.  If you select values other than
        default, a small configuration file will be saved in the same directory
        as the TREASURE executable file.  This configuration file will be used
        by TREASURE for future sessions so you don't have to reenter your
        choices.  The configuration can be changed at any time.

͵CONFIGUREPROGRAMͻ
                                                                              
                                                                              
                                                                              
                               Printer Port?  1                               
                                                                              
                                                                              
                   Include Tome of Magic Magical Items?  Y                    
                                                                              
                                                                              
             Include Wizard Handbook and Tome of Magic Spells?  Y             
                                                                              
                                                                              
                               ESC to Main Menu                               
                                                                              
                                                                              
                                                                              
                                                                              
                                                                              
                                                                              
                                                                              
                                                                              
                                                                              
                                                                              
ͼ

                                   Figure 11.

    i.  PROGRAM INFORMATION.

        (1)  Selecting the Program Information option will display the opening
        screen.  Pressing any key with the opening screen displayed will return
        you to the Main Menu.

    j.  RANDOM DICE ROLLS.

        (1)  Random Dice Rolls automatically rolls a complete set of dice from
        1d4 to 10d100 dice and show the results in a Treasure List (Figure 12.)
        This feature is useful while creating adventures and during an AD&D
        gaming session.

Ŀ
                   d4     d6     d8    d10    d12    d20   d100               
                                                           
                                                                              
 1 dice . . . . .   3      3      1      9     11     17     17               
                                                                              
 2 dice . . . . .   3      6     16      8     10     15     65               
                                                                              
 3 dice . . . . .   8     11     15     19     23     19    214               
                                                                              
 4 dice . . . . .   8     16     12     24     19     38    247               
                                                                              
 5 dice . . . . .  13     23     31     23     38     44    221               
                                                                              
 6 dice . . . . .  17     23     29     32     43     63    280               
                                                                              
 7 dice . . . . .  21     27     22     46     41     75    286               
                                                                              
 8 dice . . . . .  24     32     32     43     44     82    349               
                                                                              
 9 dice . . . . .  20     25     43     38     64     98    324               
                                                                              
10 dice . . . . .  26     49     30     51     59    127    388               
                                                                              
                                                                              
ESCtomenuPrintRollagainSavetofilePgDnPgUpHomeEnd 


                                   Figure 12.

    k.  SPECIFIED DICE ROLL.

        (1)  Specified Dice Roll allows a specific number of dice with variable
        sides and a die modifier to be generated.  After selecting the option,
        a small window will open at the bottom of the Main Menu screen where
        you enter the values (Figure 13.)  Entering number will enter you into
        the editing mode and take you from field to field.  Pressing 'R' will
        reroll the dice with the previous values.  Pressing Escape returns you
        to the Main Menu.  This feature is useful for randomly selecting an
        item from an odd numbered list of items (such as selecting a spell out
        of a list of 33 spells.)  The die modifier also lets you generate hit
        points for monsters.

͵TREASUREGENERATORͻ
                                                                              
                                                                              
                                                                              
                              Art Gallery                                     
                                                                              
                              Gems Galore                                     
                                                                              
                              Ye Ole Magik Shoppe                             
                                                                              
                              Treasure Room                                   
                                                                              
                                                                              
                              Configure Program                               
                                                                              
                              Program Information                             
                                                                              
                              Random Dice Rolls                               
                                                                              
                         ͻ                         
                            1  d 100 + 0  = 23                              
                         Ķ                         
                          ESC to menu   Roll again                          
                         ͼ                         
ͼ

                                   Figure 13.

    l.  QUITTING TREASURE.

        (1)  Pressing Escape from the Main Menu will exit the TREASURE program.
        A confirmation window will display and you press Enter or 'Y' to exit,
        or 'N' to abort exiting the program.  No other keystrokes are allowed.


5.  ADIEU.

    (1)  This program resulted from the frustration wrought by rolling
    countless magical items, gems, and art objects while creating treasure for
    AD&D campaigns.  I tried to be faithful to the tables used for treasure
    generation and include as much specific information as possible.  I
    designed the program so I wouldn't have to roll a single die while
    generating treasure.  For the most part, I was successfull.  DMs who use
    the program love it.  The complaints I do get concern the Treasure List not
    being editable and the database not being updateable.  In my defense, this
    program took three months of solid programming effort along with many more
    months of debugging.  It would have taken more time than I was willing to
    spend adding the editable and updateable features.

    (2)  For those who still use 1st Edition rules - you're out of luck.  This
    is my only version of TREASURE and I'm not going to digress to 1st Edition.
    I recommend you switch to 2nd Edition rules.  They're more refined and a
    lot of the ambiguity found in 1st Edition rules have been fixed.

    (3)  You'll be suprised how many cursed magical items and intelligent
    weapons are generated.  I assure you, the ratios are straight out of the
    book.  I've found having these items in a campaign keeps the players
    cautious (cursed items), but willing to take chances (intelligent weapons.)

    (4)  I hope you enjoy using TREASURE.  I'm sure it will add dimension to
    any AD&D campaign.


S.M. WILLETT

